<div class="form-row">
  <div class="form-group form-group-sm row col-24">

    <div *ngIf="isMember || isReviewer" class="form-group form-group-sm row col-4 text-left">
      <a class="btn btn-sm btn-primary btn-block" [routerLink]='["add"]'>
        New <span class="d-none d-sm-inline">Event</span>
      </a>
    </div>

    <div class="form-group form-group-sm row col-7 text-right">
      <label class="col-form-label col-8">Available Views: </label>
      <div class="col-16 pl-1">
        <dx-select-box [items]="availableViewsList" [value]="availableDefaultViewID"
                       displayExpr="dspL_VW_NME" valueExpr="dspL_VW_ID"
                       [searchEnabled]="true" [searchExpr]="['dspL_VW_NME']" searchMode="startswith"
                       (onValueChanged)="getViewData($event.value)"></dx-select-box>
      </div>
    </div>
    <div class="form-group form-group-sm row col-7" *ngIf="viewOptionFlg">
      <label class="col-form-label col-8">View Options: </label>
      <div class="col-16 pl-0 pl-lg-1">
        <dx-select-box [items]="viewOptions"
                       displayExpr="name"
                       placeholder="-- Select Option --"
                       valueExpr="id"
                       (onValueChanged)="createView($event.value)"></dx-select-box>
      </div>
    </div>
    <div [ngClass]="displayNew ? 'form-group form-group-sm row col-6':'form-group form-group-sm row col-10'">
      <label class="col-24 text-right"><a target="_blank" rel="noopener" href="{{eventJobAidUrl}}">{{eventJobAid}}</a></label>
    </div>
  </div>
</div>
<dx-data-grid #grid id="grid" keyExpr="eventID" [dataSource]="eventViewDetailsList"
              [wordWrapEnabled]="true" [rowAlternationEnabled]="true"
              [showBorders]="true" [columnAutoWidth]="true" [allowColumnResizing]="true"
              (onToolbarPreparing)="onToolbarPreparing($event)"
              (onRowDblClick)="selectionChangedHandler(grid.selectedRowKeys)"
              (onContentReady)="contentReadyHandler($event)" (onExporting)="onExporting($event)"
              (onCellPrepared)="onCellPrepared($event)" (onRowPrepared)="onRowPrepared($event)">
  <dxo-sorting mode="multiple"></dxo-sorting>
  <dxo-paging [pageSize]="50"></dxo-paging>
  <dxo-selection mode="single"></dxo-selection>
  <dxo-column-fixing [enabled]="true"></dxo-column-fixing>
  <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[10, 25, 50, 100]"></dxo-pager>
  <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
  <div *dxTemplate="let data of 'exportTemplate'">
    <button type="button" class="btn btn-sm btn-primary"
            (click)="grid.instance.exportToExcel(false)">
      Export to Excel
    </button>
  </div>
  <div *dxTemplate="let row of 'eventIdTemplate'">
    <a class="hyperlink" (click)="selectionChangedHandler(row.value)">{{ row.value }}</a>
  </div>
</dx-data-grid>
